<!DOCTYPE html>
<html lang="cs-cz">
    <head>
        <meta charset="utf-8" />
        <meta name="description" content="Jednoduchý WISYWIM od IT Man pro ITnetwork.cz" />
        <meta name="author" content="IT Man" />
        <title>WYSIWYM - IT Man</title>
        <link rel="stylesheet" type="text/css" href="/css/style.css" />
        
        <!-- Načtení JavaScriptu a jQuery -->
        <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
        <script type="text/javascript" src="/js/wysiwyg.js"></script>
    </head>
    
    <body>
        <section>
            <header>
                <h1>WYSIWYM od IT Man</h1>
            </header>
            
            <article>
                <?php if($zprava) : ?>
                    <div class="zprava">
                        <?= $Text->uprav($zprava) ?>
                    </div>
                    <br />
                <?php endif; ?>
                
                <form method="post">
                    <a onclick="uprava('\n#####\n')">Velký nadpis</a> |
                    <a onclick="uprava('\n=====\n')">Menší nadpis</a> |
                    <a onclick="uprava('****')"><strong>Tučné</strong></a> |
                    <a onclick="uprava('**')"><em>Kurzíva</em></a> |
                    <a onclick="uprava('\n- \n- ')">Seznam</a> |
                    <a href="#" onclick="informace('Zadejte odkaz:', '&quot;', '&quot;:odkaz')">Odkaz</a> |
                    <a onclick="informace('Zadejte odkaz na obrázek:', '[* ', ' .(popis obrázku) *]')">Obrázek</a> |
                    <a onclick="uprava('----------')">Podtrhnutí</a><br />
                    <span title="Pro dokončení odstavce nechte další řádek volný" class="pomoc">Odstavec</span> |
                    <span title="Pro zarovnání obrázku použijte znaky <, . a >, které se umisťují před popis." class="pomoc">Zarovnání obrázku</span>
                    
                    <br />
                    <textarea name="zprava"><?php if(isset($zprava)) : ?><?= $zprava ?><?php endif; ?></textarea><br />
                    <input type="submit" name="odeslat" />
                </form>
            </article>
        </section>
    </body>
</html>