<?php
use Misaz\WYSIWYM\WYSIWYM;

/**
 * Ukázkový script, který zpracovává vstup z WYSIWYM editoru, pokud žádný vstup není, zobrazí editor
 */

// autoloader
function al($class) {
	include_once(str_replace("\\", "/", $class . ".php"));
}
spl_autoload_register("al");
session_start();
header('Content-Type: text/html; charset=utf-8');

// loading article
$article = "";
if (!isset($_POST["article"])) { // dont send request to process
	if (isset($_SESSION["article"])) { // if is stored previous user content
		$article = $_SESSION["article"];
	} else {
		$article = file_get_contents("default.txt"); // load default content
	}
	include("sample.php"); // template
	die();
}
// process request
$article = $_POST["article"];
$editor = new WYSIWYM($article);
$_SESSION["article"] = $article; // store previous content
echo($editor->getHTML());
?>

<hr>
<a href="/">Zpět</a>