<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a header2
*/
class Header2 extends Convertor
{
	private $tag = "h2";
	private $re = "/(##)([^#\n]+)/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . "$2" . "</$this->tag>", $content);
		return $output;
	}
}