<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a header5
*/
class Header5 extends Convertor
{
	private $tag = "h5";
	private $re = "/(#####)([^#\n]+)/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . "$2" . "</$this->tag>", $content);
		return $output;
	}
}