<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a header6
*/
class Header6 extends Convertor
{
	private $tag = "h6";
	private $re = "/(######)([^#\n]+)/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . "$2" . "</$this->tag>", $content);
		return $output;
	}
}