<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a paragraph
*/
class Paragraph extends Convertor
{
	private $tag = "p";
	private $re = "/<\/.+>/";

	public function convert($content)
	{
		$lines = explode("\n", $content);
		$output = array();
		for ($i = 0; $i < count($lines); $i++)
		{	
			if (strlen($lines[$i]) == 0)
				continue;

			if (!(preg_match($this->re, $lines[$i])))
			{
				$output[] = "<$this->tag>" . $lines[$i] . "</$this->tag>";
			}
			else
			{
				$output[] = $lines[$i];
			}
		}

		return implode($output);
	}
}