<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a unordered list
*/
class UnorderedList extends Convertor
{
	private $tag = "li";
	private $secondTag = "ul";
	private $re = "/(\n-)(.+)/i";
	private $secondRe = '/(<li>)(.+)(<\/li>)/i';

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . "$2" . "</$this->tag>", $content);
		$output = preg_replace($this->secondRe, "<$this->secondTag>" . "$1" . "$2" . "$3" . "</$this->secondTag>", $output);
		return $output;
	}
}