<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a bold text
*/
class Bold extends Convertor
{
	private $tag = "strong";

	private $re = "/(\*\*)([^\*\*]+)(\*\*)/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . "$2" . "</$this->tag>", $content);
		return $output;
	}
}