<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a header3
*/
class Header3 extends Convertor
{
	private $tag = "h3";
	private $re = "/(###)([^#\n]+)/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . "$2" . "</$this->tag>", $content);
		return $output;
	}
}