<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for an image
*/
class Image extends Convertor
{
	private $tag = "img";
	private $re = "/(\[\* )(.+\.[a-z]+)( (\.\()(.+)(\)))( \*\])/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag src =\"" . "$2" . "\"" . "alt=\"" . "$5" . "\"></$this->tag>", $content);
		return $output;
	}
}