<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for an italic text
*/
class Italic extends Convertor
{
	private $tag = "em";
	private $re = "/(\*)([^\*]+)[\*]{1,1}/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag>" . '$2' . "</$this->tag>", $content);
		return $output;
	}
}