<?php

namespace app\Convertors;

use app\Convertor;

/**
* Convertor for a link
*/
class Link extends Convertor
{
	private $tag = "a";
	private $re = "/(\[)([^<>]+)(\])(\()([a-zA-Z0-9-.]+)(\))/i";

	public function convert($content)
	{
		$output = preg_replace($this->re, "<$this->tag href=\"$5\">$2</$this->tag>", $content);
		return $output;
	}
}